Subject: bug#51734: 29.0.50; got slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 14 Nov 2021 02:13:47 +0100

Ken Brown <[email-masked]> writes:

> They're both used to poll for input, and both at the same frequency (I
> think every second).  For systems without SIGIO,
> keyboard.c:start_polling creates an atimer "poll_timer" via a call to
> start_atimer.  The latter calls set_alarm, which now (after commit
> 858868e3) calls both timerfd_settime and timer_settime.   So we have
> both a timerfd and a POSIX timer, both serving the same purpose
> AFAICT.

Would disabling timerfd (instead of disabling the POSIX timer) also fix
the issue?  If so, I'd rather do that, because the timerfd timers aren't
delivered while Emacs is busy, which makes things like the hourglass
pointer not be displayed reliably.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no